Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Byte

    java.lang.Object
      java.lang.Byte

public final class Byte
extends Object

The Byte class is the standard wrapper for byte values.

Since:
  JDK1.1, CLDC 1.0

Field Summary
`static byte` | `MAX_VALUE` The maximum value a Byte can have.
`static byte` | `MIN_VALUE` The minimum value a Byte can have.

Constructor Summary
`Byte(byte value)` Constructs a Byte object initialized to the specified byte value.

Method Summary
`byte` | `byteValue()` Returns the value of this Byte as a byte.
`boolean` | `equals(Object obj)` Compares this object to the specified object.
`int` | `hashCode()` Returns a hashcode for this Byte.
`static byte` | `parseByte(String s)` Assuming the specified String represents a byte, returns that byte's value.
`static byte` | `parseByte(String s, int radix)` Assuming the specified String represents a byte, returns that byte's value.
`String` | `toString()` Returns a String object representing this Byte's value.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_VALUE

    public static final byte MIN_VALUE

  The minimum value a Byte can have.

  See Also:
    Constant Field Values

### MAX_VALUE

    public static final byte MAX_VALUE

  The maximum value a Byte can have.

  See Also:
    Constant Field Values

Constructor Detail

### Byte

    public Byte(byte value)

  Constructs a Byte object initialized to the specified byte value.

Parameters:
  `value` - the initial value of the Byte

Method Detail

### parseByte

    public static byte parseByte(String s)
                          throws NumberFormatException

  Assuming the specified String represents a byte, returns that byte's value. Throws an exception if the String cannot be parsed as a byte. The radix is assumed to be 10.

  Parameters:
    `s` - the String containing the byte
  Returns:
    the parsed value of the byte
  Throws:
    `NumberFormatException` - If the string does not contain a parsable byte.

### parseByte

    public static byte parseByte(String s,
                                 int radix)
                          throws NumberFormatException

  Assuming the specified String represents a byte, returns that byte's value. Throws an exception if the String cannot be parsed as a byte.

  Parameters:
    `s` - the String containing the byte
    `radix` - the radix to be used
  Returns:
    the parsed value of the byte
  Throws:
    `NumberFormatException` - If the String does not contain a parsable byte.

### byteValue

    public byte byteValue()

  Returns the value of this Byte as a byte.

  Returns:
    the value of this Byte as a byte.

### toString

    public String toString()

  Returns a String object representing this Byte's value.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

### hashCode

    public int hashCode()

  Returns a hashcode for this Byte.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares this object to the specified object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with
  Returns:
    true if the objects are the same; false otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.